Bug 1576153 - Realtek r8169 driver does not work in kernel-4.16.6-202.fc27.x86_64 , but works in 4.16.5-200.fc27.x86_64 [NEEDINFO]
Summary: Realtek r8169 driver does not work in kernel-4.16.6-202.fc27.x86_64 , but wor...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 02:07 UTC by Deb Mukherjee
Modified: 2018-08-29 15:00 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:00:23 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)

Description Deb Mukherjee 2018-05-09 02:07:29 UTC
Description of problem:

After updating kernel to 4.16.6-202.fc27.x86_64 from 4.16.5-200.fc27.x86_64, ethernet connection stopped working. 

In 4.16.6-202.fc27.x86_64:
#dmesg|tail had the lines below
IPv6: ADDRCONF(NETDEV_UP): enp2s0: link is not ready
IPv6: ADDRCONF(NETDEV_UP): enp2s0: link is not ready

In 4.16.5-200.fc27.x86_64
#dmesg|tail shows the lines below

[   35.588091] bridge: filtering via arp/ip/ip6tables is no longer available by default. Update your scripts to load br_netfilter if you need this.
[   40.895415] IPv6: ADDRCONF(NETDEV_UP): enp2s0: link is not ready
[   40.902094] r8169 0000:02:00.0 enp2s0: link down
[   40.902180] IPv6: ADDRCONF(NETDEV_UP): enp2s0: link is not ready
[   43.020601] r8169 0000:02:00.0 enp2s0: link up
[   43.020616] IPv6: ADDRCONF(NETDEV_CHANGE): enp2s0: link becomes ready

# lspci|grep Eth
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 02)

# lsmod|grep r8169
r8169                  94208  0
mii                    16384  1 r8169

# ethtool -i enp2s0
driver: r8169
version: 2.3LK-NAPI
firmware-version:
expansion-rom-version:
bus-info: 0000:02:00.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: no
supports-register-dump: yes
supports-priv-flags: no




Version-Release number of selected component (if applicable): 4.16.6-202.fc27.x86_64


How reproducible: 
Always

Steps to Reproduce:

1. Have Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 02)

2. Try to use kernel-4.16.6-202.fc27.x86_64


Actual results:
Ethernet does not work

Expected results:
Ethernet will work


Additional info:
Regression in r8169 module in kernel-4.16.6-202.fc27.x86_64

Comment 1 Jeremy Cline 2018-05-29 14:07:59 UTC
Hi,

Can you test the latest stable kernel and let me know if it works? There looks to be a fix for r8169 devices failing to power up in 4.16.10. Thanks!

Comment 2 Justin M. Forbes 2018-07-23 15:03:28 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:00:23 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.